
package com.tmerclub.cloud.flow.mapper;

import com.tmerclub.cloud.flow.dto.FormDTO;
import com.tmerclub.cloud.flow.model.Form;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据表格
 * @author TRACK
 */
public interface FormMapper {

    /**
     * 获取数据表格列表
     * @param formParam
     * @return 数据表格列表
     */
    List<Form> list(@Param("formParam") FormDTO formParam);

    /**
     * 根据数据表格id获取数据表格
     * @param formId 数据表格id
     * @return 数据表格
     */
    Form getByFormId(@Param("formId") Long formId);

    /**
     * 保存数据表格
     * @param form 数据表格
     */
    void save(@Param("form") Form form);

    /**
     * 更新数据表格
     * @param form 数据表格
     */
    void update(@Param("form") Form form);

    /**
     * 根据数据表格id删除数据表格
     * @param formId
     */
    void deleteById(@Param("formId") Long formId);
}
